<template>
  <div class="ventilation-warp">
    <div class="ventilation-left">
      <div class="item-warp">
        <div class="item-title">
          <svg-icon iconClass="air_zuoyi1" class="air_zuoyi1"></svg-icon>
        </div>
        <div class="item-content">
          <Select
            :selectedIndex="selectList.zuoyi1"
            :options="['OFF', '1', '2']"
            background="#D4DCE5"
            @changeIndex="changeSelectIndex(arguments, 'zuoyi1')"
          ></Select>
        </div>
      </div>
      <div class="item-warp item-margin1">
        <div class="item-title">
          <svg-icon iconClass="air_zuoyi2" class="air_zuoyi1"></svg-icon>
        </div>
        <div class="item-content">
          <Select
            :selectedIndex="selectList.zuoyi2"
            :options="['OFF', '1', '2']"
            background="#D4DCE5"
            @changeIndex="changeSelectIndex(arguments, 'zuoyi2')"
          ></Select>
        </div>
      </div>
    </div>
    <div class="ventilation-right">
      <div class="item-warp item-felx-end">
        <div class="item-title item-title-right">
          <svg-icon iconClass="air_dang" class="air_dang"></svg-icon>
          <div>后风窗和外后视镜加热</div>
        </div>
        <div class="item-content">
          <Select
            :selectedIndex="selectList.zuoyiOff"
            :options="['OFF', 'ON']"
            background="#D4DCE5"
            @changeIndex="changeSelectIndex(arguments, 'zuoyiOff')"
          ></Select>
        </div>
      </div>
      <div class="item-warp item-felx-end item-margin2">
        <div class="item-title item-title-right">
          <svg-icon
            iconClass="air_zuoyi1"
            class="air_zuoyi1 item-transfrom"
          ></svg-icon>
        </div>
        <div class="item-content">
          <Select
            :selectedIndex="selectList.zuoyi1Right"
            :options="['OFF', '1', '2']"
            background="#D4DCE5"
            @changeIndex="changeSelectIndex(arguments, 'zuoyi1Right')"
          ></Select>
        </div>
      </div>
      <div class="item-warp item-margin1 item-felx-end">
        <div class="item-title item-title-right">
          <svg-icon
            iconClass="air_zuoyi2"
            class="air_zuoyi1 item-transfrom"
          ></svg-icon>
        </div>
        <div class="item-content">
          <Select
            :selectedIndex="selectList.zuoyi2Right"
            :options="['OFF', '1', '2']"
            background="#D4DCE5"
            @changeIndex="changeSelectIndex(arguments, 'zuoyi2Right')"
          ></Select>
        </div>
      </div>
    </div>
    <div class="ventilation-position-left" v-if="leftZuoState != 0">
      <img
        src="../../assets/images/airConditioner/air_hot_low.webp"
        alt=""
        srcset=""
        v-if="leftZuoState == 1"
      />
      <img
        src="../../assets/images/airConditioner/air_hot_high.webp"
        alt=""
        srcset=""
        v-if="leftZuoState == 2"
      />
      <img
        src="../../assets/images/airConditioner/air_cold_low.webp"
        alt=""
        srcset=""
        v-if="leftZuoState == 3"
      />
      <img
        src="../../assets/images/airConditioner/air_cold_high.webp"
        alt=""
        srcset=""
        v-if="leftZuoState == 4"
      />
    </div>
    <div class="ventilation-position-right" v-if="rightZuoState != 0">
      <img
        src="../../assets/images/airConditioner/air_hot_low.webp"
        alt=""
        srcset=""
        v-if="rightZuoState == 1"
      />
      <img
        src="../../assets/images/airConditioner/air_hot_high.webp"
        alt=""
        srcset=""
        v-if="rightZuoState == 2"
      />
      <img
        src="../../assets/images/airConditioner/air_cold_low.webp"
        alt=""
        srcset=""
        v-if="rightZuoState == 3"
      />
      <img
        src="../../assets/images/airConditioner/air_cold_high.webp"
        alt=""
        srcset=""
        v-if="rightZuoState == 4"
      />
    </div>
    <div class="ventilation-position-top" v-if="selectList.zuoyiOff != 0">
      <img
        src="../../assets/images/airConditioner/air_top.webp"
        alt=""
        srcset=""
        v-if="selectList.zuoyiOff == 1"
      />
    </div>
  </div>
</template>
<script>
import Select from "@/components/Select.vue";
export default {
  name: "Ventilation",
  data() {
    return {
      selectList: {
        zuoyi1: 0,
        zuoyi2: 0,
        zuoyi1Right: 0,
        zuoyi2Right: 0,
        zuoyiOff: 0,
      },
    };
  },
  computed: {
    leftZuoState() {
      if (this.selectList.zuoyi1 == 0) {
        if (this.selectList.zuoyi2 == 0) {
          return 0;
        }
        if (this.selectList.zuoyi2 == 1) {
          return 3;
        }
        if (this.selectList.zuoyi2 == 2) {
          return 4;
        }
      }
      if (this.selectList.zuoyi1 == 1) {
        return 1;
      }
      if (this.selectList.zuoyi1 == 2) {
        return 2;
      }
    },
    rightZuoState() {
      if (this.selectList.zuoyi1Right == 0) {
        if (this.selectList.zuoyi2Right == 0) {
          return 0;
        }
        if (this.selectList.zuoyi2Right == 1) {
          return 3;
        }
        if (this.selectList.zuoyi2Right == 2) {
          return 4;
        }
      }
      if (this.selectList.zuoyi1Right == 1) {
        return 1;
      }
      if (this.selectList.zuoyi1Right == 2) {
        return 2;
      }
    },
  },
  methods: {
    changeSelectIndex(index, item) {
      if (item == "zuoyi2" && this.selectList.zuoyi1 != 0) {
        this.selectList.zuoyi1 = 0;
      }
      if (item == "zuoyi1" && this.selectList.zuoyi2 != 0) {
        this.selectList.zuoyi2 = 0;
      }
      if (item == "zuoyi2Right" && this.selectList.zuoyi1Right != 0) {
        this.selectList.zuoyi1Right = 0;
      }
      if (item == "zuoyi1Right" && this.selectList.zuoyi2Right != 0) {
        this.selectList.zuoyi2Right = 0;
      }
      this.selectList[item] = index[0];
    },
  },
  components: {
    Select,
  },
};
</script>
<style scoped lang="scss">
.ventilation-warp {
  width: 100%;
  height: 100%;
  position: relative;
  .ventilation-position-left {
    width: 166.67px;
    height: 287.62px;
    position: absolute;
    top: 254px;
    left: 583px;
    img {
      width: 100%;
      height: 100%;
      transform: scale(2);
    }
  }
  .ventilation-position-right {
    width: 166.67px;
    height: 287.62px;
    position: absolute;
    top: 254px;
    left: 850px;
    img {
      width: 100%;
      height: 100%;
      transform: scale(2);
    }
  }
  .ventilation-position-top {
    width: 697.25px;
    position: absolute;
    top: 140px;
    left: 452px;
    height: 36.67px;
    img {
      width: 100%;
      height: 100%;
    }
  }
}
.ventilation-left {
  width: 409px;
  position: absolute;
  left: 25px;
  bottom: 112px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}
.ventilation-right {
  width: 409px;
  position: absolute;
  right: 40px;
  bottom: 112px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}
.item-warp {
  .item-title {
    font-size: 22px;
    color: #010100;
    text-align: left;
    margin: 0 13px 9px;
    .air_zuoyi1 {
      width: 41px;
      height: 36px;
    }
    .air_dang {
      width: 67.33px;
      height: 34.16px;
    }
  }
  .item-title-right {
    text-align: right;
  }
  .item-transfrom {
    transform: rotateY(180deg);
  }
  .item-content {
    width: 409px;
    height: 76px;
    border-radius: 60px;
  }
}
.item-felx-end {
  display: flex;
  flex-direction: column;
  align-items: end;
}
.item-margin1 {
  margin-top: 104px;
}
.item-margin2 {
  margin-top: 86px;
}
.item-content ::v-deep .select-warp {
  border-radius: 60px;
}
.item-content ::v-deep .active-item {
  border-radius: 60px;
}
</style>
